org.apache.fontbox.afm

## Class Ligature

- java.lang.Object
- - org.apache.fontbox.afm.Ligature

    public class Ligature
    extends Object

This class represents a ligature, which is an entry of the CharMetrics.

Author:
  Ben Litchfield

### Constructor Summary

Constructors
Constructor and Description
`Ligature()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getLigature()` Getter for property ligature.
`String` `getSuccessor()` Getter for property successor.
`void` `setLigature(String lig)` Setter for property ligature.
`void` `setSuccessor(String successorValue)` Setter for property successor.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Ligature

    public Ligature()

### Method Detail

#### getLigature

    public String getLigature()

Getter for property ligature.

Returns:
  Value of property ligature.

#### setLigature

    public void setLigature(String lig)

Setter for property ligature.

Parameters:
  `lig` - New value of property ligature.

#### getSuccessor

    public String getSuccessor()

Getter for property successor.

Returns:
  Value of property successor.

#### setSuccessor

    public void setSuccessor(String successorValue)

Setter for property successor.

Parameters:
  `successorValue` - New value of property successor.